## serieswatcher 0.1.0-1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(serieswatcher)

include(CMakeDependentOption)

set(VERSION_MAJOR "0")
set(VERSION_MINOR "1")
set(VERSION_PATCH "0")

if(CMAKE_SYSTEM_NAME MATCHES Linux)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
endif()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

find_package(Qt4 REQUIRED)
find_package(QtTvDB REQUIRED)
find_package(Quazip)
find_package(LibZip)

set(HAVE_QUAZIP ${QUAZIP_FOUND})
set(HAVE_LIBZIP ${LIBZIP_FOUND})

if(HAVE_LIBZIP)
  set(ZIP_INCLUDE_DIR ${LIBZIP_INCLUDE_DIR})
  set(ZIP_LIBRARIES   ${LIBZIP_LIBRARIES})
elseif(HAVE_QUAZIP)
  set(ZIP_INCLUDE_DIR ${QUAZIP_INCLUDE_DIR})
  set(ZIP_LIBRARIES   ${QUAZIP_LIBRARIES})
endif()

if(HAVE_LIBZIP OR HAVE_QUAZIP)
  set(HAVE_ZIP 1)
endif()

# Disabled because it does not always work
cmake_dependent_option(WITH_ZIP "With zip support [default: off]" ON "HAVE_ZIP" OFF)
option(WITH_BUILTIN_ICONS  "Include icon theme in built-in ressources" ON)

## GCC  ##
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Wstrict-prototypes -Werror-implicit-function-declaration -Wno-pointer-sign")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

# compile in debug mode
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")


#add extra search paths for libraries and includes
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory where include will install")


set (SERIES_WATCHER_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

CHECK_SYMBOL_EXISTS(Q_WS_MAEMO_5 "QtCore/qglobal.h" Q_WS_MAEMO_5)

add_subdirectory(src)
add_subdirectory(pkg)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)

## Package ##
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Series Watcher")
set(CPACK_PACKAGE_VENDOR "iksaif.net")
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
set(CPACK_VERSION ${SERIES_WATCHER_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_PACKAGE_VENDOR "http://xf.iksaif.net/dev/serieswatcher.html")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/")
set(CPACK_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}")


if(WIN32)
  # set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/res/serieswatcher.ico")
  set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/res/serieswatcher.ico")
  set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/res/package.bmp")
  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Series Watcher")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/serieswatcher.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/serieswatcher.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_NSIS_MODIFY_PATH ON)
else(WIN32)
  set(CPACK_GENERATOR "DEB")
  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
  ## Debian specific ##
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), qttvdb (>= 0.1)")
  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6), qttvdb (>= 0.1)")
endif(WIN32)
include(CPack)

=== qttvdb/CMakeLists.txt ===
# Copyright (C) 2009-2010 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

PROJECT(qttvdb)

#set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )

# Stop cmake 2.6 from whining
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
IF(COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

# compile in debug mode
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")

# Find Qt4
FIND_PACKAGE( Qt4 REQUIRED )

#add extra search paths for libraries and includes
SET (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
SET (LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
SET (INCLUDE_INSTALL_DIR "include" CACHE PATH "The directory the headers are installed in")
SET (CMAKE_MODULES_INSTALL_DIR "share/apps/cmake/modules" CACHE PATH "The directory to install FindQtTvDB.cmake to")


set(QTTVDB_LIB_MAJOR_VERSION "0")
set(QTTVDB_LIB_MINOR_VERSION "1")
set(QTTVDB_LIB_PATCH_VERSION "0")

set(QTTVDB_LIB_VERSION_STRING "${QTTVDB_LIB_MAJOR_VERSION}.${QTTVDB_LIB_MINOR_VERSION}.${QTTVDB_LIB_PATCH_VERSION}")

set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/lib${LIB_SUFFIX}" )

# pkg-config
IF (NOT WIN32)
  CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/QtTvDB.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/QtTvDB.pc
                  @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/QtTvDB.pc
           DESTINATION lib${LIB_SUFFIX}/pkgconfig
	   COMPONENT devel)
ENDIF (NOT WIN32)

# Include the cmake file needed to use qt4
IF (QTTVDB_BUILD_EXAMPLES)
  set(QT_USE_QTNETWORK TRUE)
ENDIF()
set(QT_DONT_USE_QTGUI TRUE)
set(QT_USE_QTXML TRUE)
INCLUDE( ${QT_USE_FILE} )

# Subdirs
ADD_SUBDIRECTORY(src)
IF (QTTVDB_BUILD_EXAMPLES)
  ADD_SUBDIRECTORY(examples)
ENDIF ()

add_subdirectory(cmake/modules)

# CPack
set(CPACK_VERSION_MAJOR ${QTTVDB_LIB_MAJOR_VERSION})
set(CPACK_VERSION_MINOR ${QTTVDB_LIB_MINOR_VERSION})
set(CPACK_VERSION_PATCH ${QTTVDB_LIB_PATCH_VERSION})
set(CPACK_VERSION ${QTTVDB_LIB_VERSION_STRING})
set(CPACK_PACKAGE_VERSION ${QTTVDB_LIB_VERSION_STRING})
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/INSTALL")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A library for using thetvdb.com XML API in Qt")
set(CPACK_PACKAGE_VENDOR "http://xf.iksaif.net/dev/qttvdb.html")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/"
  "^${PROJECT_SOURCE_DIR}/doc/")
#set(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BUILD_DIR};qttvdb;ALL;/")
set(CPACK_COMPONENTS_ALL libraries devel)
set(CPACK_COMPONENT_LIBRARIES_DISPLAY_NAME "Library")
set(CPACK_COMPONENT_DEVEL_DISPLAY_NAME "Development files")
set(CPACK_COMPONENT_LIBRARIES_DESCRIPTION "A library for using thetvdb.com XML API in Qt")
set(CPACK_COMPONENT_DEVEL_DESCRIPTION "Development files for QtTvDB")
set(CPACK_COMPONENT_DEVEL_DEPENDS libraries)
set(CPACK_PACKAGE_FILE_NAME "qttvdb-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "qttvdb-${CPACK_VERSION}")

if(NOT WIN32)
  set(CPACK_GENERATOR "DEB")
  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
  ## Debian specific ##
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6)")
  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6)")
else()
  set(CPACK_GENERATOR "ZIP;NSIS")
  set(CPACK_SOURCE_GENERATOR "ZIP")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  set(CPACK_PACKAGE_FILE_NAME "qttvdb-${CPACK_VERSION}-win32")
  set(CPACK_SOURCE_PACKAGE_FILE_NAME "qttvdb")
  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_NSIS_MODIFY_PATH "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} QtTvDB")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/qttvdb.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/qttvdb.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "qttvdb")
endif()

include(CPack)

=== src/CMakeLists.txt ===
# Use it
set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSQL TRUE)

INCLUDE( ${QT_USE_FILE} )

# Include the library include directories, and the current build directory (moc)
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${serieswatcher_BINARY_DIR}
	${QTTVDB_INCLUDE_DIR}
	${ZIP_INCLUDE_DIR}
)

LINK_DIRECTORIES(
	${QTTVDB_LIBRARY_DIRS}
)

SET(serieswatcher_SRCS
  main.cpp
  mainwindow.cpp
  listwindow.cpp
  searchdialog.cpp
  searchlistview.cpp
  searchmodel.cpp
  tvdb.cpp
  tvdbcache.cpp
  updateworker.cpp
  updateprogressdialog.cpp
  settings.cpp
  downloadworker.cpp
  showdelegate.cpp
  settingsdialog.cpp
  actiondialog.cpp
  seriesaction.cpp
  mainlistview.cpp
  maintreeview.cpp
  seriesmenus.cpp
  episodedialog.cpp
  showdialog.cpp
  bannerloader.cpp
  tvdbmodel.cpp
  tvdbitem.cpp)

SET(serieswatcher_UIS
  mainwindow.ui
  listwindow.ui
  searchdialog.ui
  updateprogressdialog.ui
  settingsdialog.ui
  actiondialog.ui
  episodedialog.ui
  showdialog.ui)

SET(serieswatcher_MOC_HDRS
  mainwindow.h
  listwindow.h
  searchdialog.h
  searchmodel.h
  searchlistview.h
  updateworker.h
  downloadworker.h
  updateprogressdialog.h
  settings.h
  showdelegate.h
  settingsdialog.h
  actiondialog.h
  mainlistview.h
  maintreeview.h
  seriesaction.h
  seriesmenus.h
  episodedialog.h
  showdialog.h
  bannerloader.h
  tvdbmodel.h)

SET(serieswatcher_RCS serieswatcher.qrc)

if(WITH_BUILTIN_ICONS)
  SET(serieswatcher_RCS ${serieswatcher_RCS} ../res/icons/icons.qrc)
endif()

QT4_WRAP_CPP(MOC_SOURCE ${serieswatcher_MOC_HDRS})
QT4_WRAP_UI(UI_HDRS ${serieswatcher_UIS})
QT4_ADD_RESOURCES(RC_SRCS ${serieswatcher_RCS})

ADD_EXECUTABLE(
	serieswatcher
	${serieswatcher_SRCS}
	${UI_HDRS}
	${MOC_SOURCE}
	${RC_SRCS}
)

if (Q_WS_MAEMO_5)
  target_link_libraries(serieswatcher QtMaemo5)
endif()

TARGET_LINK_LIBRARIES(
	serieswatcher
	${QT_LIBRARIES}
	${QTTVDB_LIBRARIES}
	${ZIP_LIBRARIES}
)

install(TARGETS serieswatcher
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
)

=== qttvdb/src/CMakeLists.txt ===
# Copyright (C) 2009-2010 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

include_directories (./)

install(FILES
  qttvdb.h
  qttvdb_export.h
  QtTvDB
  DESTINATION ${INCLUDE_INSTALL_DIR}/qttvdb
  COMPONENT devel
)

set (qttvdb_SRCS mirrors.cpp episode.cpp banner.cpp show.cpp)

add_library (qttvdb SHARED ${qttvdb_SRCS})
target_link_libraries( qttvdb ${QT_LIBRARIES})

set_target_properties(qttvdb PROPERTIES
                      VERSION ${QTTVDB_LIB_MAJOR_VERSION}.${QTTVDB_LIB_MINOR_VERSION}.${QTTVDB_LIB_PATCH_VERSION}
                      SOVERSION ${QTTVDB_LIB_MAJOR_VERSION}
                      DEFINE_SYMBOL QTTVDB_MAKEDLL
                      )

install(TARGETS qttvdb
  COMPONENT libraries
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 15 Oct 2010 16:02:59 +0200

=== pkg/maemo5/debian/control ===
Source: serieswatcher
Section: user/utilities
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/serieswatcher
Build-Depends: debhelper (>= 5), libqtm-dev, libqt4-dev, libzip-dev, cmake
Standards-Version: 3.7.2

Package: serieswatcher
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: SeriesWatcher permet de surveiller
 les séries que vous regardez. Vous pourrez être prévenus
 des nouveaux épisodes, les marquer comme vus, etc...
 SeriesWatcher permet aussi de rajouter des liens dynamiques
 vers d'autres services afin de pouvoir rapidement trouver
 les DVDs ou sous-titres correspondant à un épisode ou à
 une saison. L'application utilise l'API fournie par
 thetvdb.com.
XB-Maemo-Display-Name: Serieswatcher
Description: SeriesWatcher can help you keep track of the
 TV shows you're watching. It let you mark watched episode
 and allow to add dynamic links to other services (to buy
 DVDs, download subtitles, etc...). Data comes from
 thetvdb.com XML API.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAA3XQAAN10BGYBGXQAAAAd0
 SU1FB9oKDw4BKqWcSIMAAA4cSURBVGje1Zl5kFXVncc/57z7tm66m6bp0Cyi
 IiAGZFMcUVCckskEdUzFqako6B9onMRRy13ZErUQFxIXjDFxxqRKKlYlpYlO
 BcVgLEcYY8S4AFFaISANDU033XT36/feXc75zR/3vNevVdA2msrcqtN3ebfv
 /S3f3/L9Xfg732bMmMX/u23KydMmnjbrjMVTp55yHcCsWWce8V719yL0qFFj
 TxsxYsSV6XT6n2tr67KZTKa2p7vn8MGO9hPf/fPbnUf6P/1lCzb15GkfM5qI
 1IZhOMYYs8AY8xsRkWeeefqPEydMvLxmSO2oYiEYdrCtwyv6UfXwhqYzj/b8
 L0UBa235eMvWdwA4duyxMydNOumqk06avObxx3/+e8/zWoB11tpvBEHArFmn
 ypKlt1Bf30A+71NdVUtdbX22OjtkxtHe9YVBqFgskk6nUar/kXV1w84bMeIr
 izPpzBm1Q4dmkl6yNgojHQQh8+adzT33rpTu7m4VRZFEUaSstXR1dslj/7lW
 fdD8FxKeh7XmN+3tey9+ffP/+l+YAuPHj2fHjh2Vl7zNm1+vOfXUWVXGmPlK
 qcVKqbn5fIGFCy/lYFu7FIpFFfgBoCWVSiud8GTB17+mFl++kEQiQRAE9PX1
 hWEYhnv37ju8atXq7e+9t+WtXK73v4E/AOFfpUAYhiSTyfL55MmTkwcOHJid
 zWZnZjLZ6RdeeOE/3HffvZOUUohIaUmhUFDXXnOjbH7jTVWVrSaZSkkqmVbp
 dJowNMycOblvxszJrc3NzQe2bt26d8OGDc25XG4n0A60AfuADkAGrcDhw4ep
 q6sbAIsVK1ZctmbNmisaGxvH19UNHZJIeDVBENKXz3Pm7DN4/GePSbFYVMYY
 iaJIRVGENUbuf+DHavMf32JITQ3FYr6r7WDr9tbWPe/19vZ0eJ5u7evr2wXs
 dYIfBvKAPZLgn6hAfX09XV1dAIhIyhhTq5RKi8i3lFJXAJPCMGTp0qWsX/87
 8YuBKgYBWmlJJtPKGiszZkxXj/7kIUQE3/cln8+HQRCEHR0H2268Ycl7W7e9
 9Y619qCz6j6gBTgE9AJmsHD+mAcaGxtHt7e3L1y0aNGMtWvXnikix4jERijB
 IwxDVq5cJY8++l+qsbGRpJeSVCqtMpkMSiVoaKjrOu/8+ftbWva0bd68eff6
 9eu3O0EPOli0A92A/2kW/jwKnNzR0bFRROqWLl3KXXfdhbUWay2VsAjDUF75
 n01q1aofUlc3lEIhv//QoQPvHjx44AM/KHYWCvkWYDfQ6gTvcQKbLzJlex+9
 IMIBEclfeMHCumd+/QLWCkuXLkFEiKJIFYtFyefzQRiGoR8UWuqHVW178cXf
 bgG6nKB7HTQ6K3D8pW2fFMQZ4NlLLv7uP6VSmg927JRxx4+ShZf+24E9H+5p
 37VrV9vGjRt3bdq06V1gv4NEm8N0zln5b7apI1y79rzzL3nQRCECWGOlWMy9
 s3HjCyuAD5yFc39LQUeMaKKt7cBnTqNjzznnXz40YgAlICCoKVMmcfNNV5NK
 p0FAacXaJ9byyI9+VI5EBRhrWbRoEddce03/C5Rif+t+LrroIqwxoBQqznY0
 NY3k6V8/RcLzQASUIp1Oc868c+jq7ERQ7NvXoj5TDLhtT8EvYK3Eb0aors7w
 /gc7paVlv5o7dzbWWvbu3cdz617gmLHjKgSFpqaR3HHH7aRSKRBBAK01V333
 akaOPAYvkSjfGwQhzz77FE1NTeUeSmvNLTffRjZbQ93xDZjIsG9fy2cN4pUo
 tRw/8DFWUAqMsTQMr+eRh1er0aNGUigUyGazXPnta+ju6SPhBFJK0dHRyRNP
 /BylFH6xiADZbJbrr7+V3btb8TyPMAwBRffhbh586D4aGhooFAooIOEleO65
 3/Pyy3/AiqJQCAaXhZRaXhampjpDvlDkhAnH89AD91BXV0vB90klkzzwwI8x
 ETR9ZfSAduO6666laWQThaIPChSKV196hR3vf8jIEaMrDCXMP/dcTp99GvlC
 0d0LPZ2dPP3UbxlWP3xABzDobnT6zDlSVZVh794PueD8+dTWDiWKIhTgBwHr
 n38JrRVSUYY8z2PBgnOxEnsOQKzwpzfeprW1DaVVxYsVM0+ZyphjRmGtjQVR
 itbWNja98iqZbDYOh/gpbG/eogalwPgTJsmwhmGYKIoFAlAapWLveJ6HQsXB
 qNyjpIILKEVJO6WVs6bEl0QQBGMM1lp3zRJfBa0UYgWLRYuireMgrYMMYqqr
 h9AwrMElBY3WCqU1Sim0ivd85LjkcoVCIYj7W4JMSXArFqw7ttZ1rhZrBbEW
 EYuxlpIL8oXiZ4+BSt8YG79cK8EKKCtojRNKOSO745KgMWksn4m43yS2fqmv
 Kh2LSCx46VgEsaXrtmycQStwqKOTpJeKraxjS2udQGkdW12XrE98jdhD/R4A
 UfTDBotYBlq8bHnrzt2xW8ZalILDnZ2DD+L1638n6XQqNqlSiLg0EYsGDh51
 tUPJ9eUxJhoQ0EKsgYiNoeTgU1tbR29vjiiKnNAuJsRiRSHEMWEdxMRCvlBg
 8cJvDC6Ixx1/kjQ2Di9btOj7hFFEKpmipqYGz/MQEeaeNYdtW/9MX76AdnFQ
 jgWl6OnpIQwjamtrsGI5c+4c3nrjT+RyvbHFTWz9KAw5fLibyERYa/G8BJ7n
 USjkyfX20tbeOrggrqkZQrYqCygaGuq56qp/Z/r0aez6y24efOgROg91oZQi
 mUqTzWYRFFopQKE1KNEc6upk9eqVHDN2DDfftJxcLoeXTJHOZjDGYKxxUDGM
 GzeOFd+7jfr6elKpJGvXPsm99/wArTXZqiGDH6uUgkisRStNsehz//0PM2Hi
 CVx55WK8pFd2cz8MXDa1UAx8liy5gXHjjiPfV3C4L2Uj5TJRHBNhGDFlykkk
 EgluvP4Wli+7nSef/GWcqstperBZiBiHSsGBtnbuvPNuwiBk9uzTaGwc3p8W
 bX96VA6TVoSLL/lXGoY3sP6Flxg7djRFP3D/EytrwohiEBD4PlEUMXXaVNra
 DpLJZtmw4SV830dphVh7VOZ+ZA8AYgxiHK8Wy+zZp7Ngwdd4/vkN+AUfi40L
 jsTBZkUII8OMGdOYMX0q31uxinnz5rBr1x4CP0CAKIro7umhN5ejmC8QhhGJ
 RILXXnudLe9sZc3DP2TV3XdSVZ11gqijzh6OPJkTwVjBiCUKI+adczb3rV7J
 T3/6M9atW48AJioJH6dGYyKGNwxj+Yqb6Ont5fIrLmXMmFGcMnMaWmu6D3dT
 KPr91dfBw/d9fvXLp1m9+gEuu+zbzJ//j6RTqRg+nzL58Y4WA8YaUokk/3HN
 dzhr7hzuXvUDXn31NYYNqycKTZzmXNU0JgLiPv6hB3+CsYbjjhtLGIS8/PIm
 8vnCx3wsCJGxnDhpIocOdZLNZrj66u/w5ptvUyz65dT7uRXo6OjgxRefY9y4
 4wFYvuJW+vr6uOH6Jez+cE9MXkycCo0L9p07d7G9eQeFvjy33nYdkTH84he/
 IpNJV1ThfrFyvT3cfvtSJkyYgNaKDRteYtmy7xMEoSs3woAC81nrwMSJJ0s2
 kyFfKKDQJBJxFU7oBFVVWZLJJGKFOWefxbYtW+ntzSEiaJ1wpEThBwFhEJLJ
 ZhBriUzEnLPO5s03NtPb04O1sRcPdRwiiiJ836e6uopMJo01BiOCtQZrDHta
 dg6uDsyefToJz3PFKW7YSm0EDpsiQv2wesafOJEwDOP7PmIXK0JtXR29PT2E
 YUB9QwMnfvWrBEU/LmSldC2lODLldsOUWgpj2dOyc3AQ2rZtG17Cc11ool+4
 il4ooRI0b292PVJJ0crWDoyJ+Pr5F9D83rvkunvY0dyMCBgxMZTczMlaU54/
 WRv3RWINxsYQHXQM9HR3o3QC7QTWurQScUvtziu9U5k1SnTAGEOhWKQvl6M3
 10smm3ZxE+F5HsUgQMTiJT1MZOnt6Y5TuKvQpWI6aAWsFTQWUcpVW0E5TCqd
 iMutBaWk7J1Sr6eUJu6/VbldsGJJp1PccfsyOru6eOftrUyffjKpdJrenl4E
 YcyY0Xzzm99iaF1tXKldsbTyORRwvSBWHN2TWCaNBmuxjsTG1gdlpMzWBFvu
 Wq2NoWKNoS+f57Yl30chFP0i69Y971pmhe8XSadS5aavxBOsHD0LHVkBa8s4
 tlqhrY1n3Qq0FrTVGCVxPJQ4cGUQK9fzGIdjVyuiKCxjP5QAKyDWxFU8CMo8
 Ok61tswbBq1AX1/O4V0PwLsuB2vpuLR0Pzfulx8TRgSBTz6fJ9/XV67aA+hk
 OXDFKdNPbEot96DrwJpHHhNVmnVIhXXVwN5ESuyrck4uJUIDxhqmTJvBjveb
 KRYKjjbGP5Z6qJi4OCJTgk8lvQRWLrt2cIRm1KhjpWR9pTUJVH+qLO2J6WbM
 BSiPCz/6CqGfdUmpEsc9uEuX/fRSrFSk0X4PtHfsV4P+zKqcAxTi+K2q5Itl
 vquQCpLe7w0pTyNsuY0oM3ol/e31J5i18nWfiw+UCA1a0DYBymJ1DBglMYkX
 pVwAu7GKw73TdoDA/V5wDVoJImLLHhHpH6vYimnFoIK49BnJGoPWGisaEgYl
 GiVxARNlEKvjAZQbbmnAqlIN1o72A8rGoxWJk6ubYrn0WCLwttzZ2gEKmXhv
 zQDZPmW4K66HMcusMSNFpJZQVYGkQKWUwkNUAkVCgQaVQImmv4koR7k474sb
 JZXmcs4jZaYkIlGsnxiESJDAfSjJAz0I+ypl+9QgTqXSBIFf+t1zK1GxdMXy
 3F4dYcFHwsKt0idU45Z1y1SsyC1JeknC6OPfuv8Pjw32V3dFiIIAAAAASUVO
 RK5CYII=

## serieswatcher 0.1.1-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(VERSION_MAJOR "0")
 set(VERSION_MINOR "1")
-set(VERSION_PATCH "0")
+set(VERSION_PATCH "1")
 
 if(CMAKE_SYSTEM_NAME MATCHES Linux)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
@@ -33,8 +33,7 @@
   set(HAVE_ZIP 1)
 endif()
 
-# Disabled because it does not always work
-cmake_dependent_option(WITH_ZIP "With zip support [default: off]" ON "HAVE_ZIP" OFF)
+cmake_dependent_option(WITH_ZIP "With zip support [default: on]" ON "HAVE_ZIP" OFF)
 option(WITH_BUILTIN_ICONS  "Include icon theme in built-in ressources" ON)
 
 ## GCC  ##
@@ -96,18 +95,31 @@
 
 
 if(WIN32)
-  # set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
+  install(FILES
+        "${QT_BINARY_DIR}/QtCore${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/QtXml${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/QtGui${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/QtNetwork${QT_VERSION_MAJOR}.dll"
+		"${QT_BINARY_DIR}/QtSql${QT_VERSION_MAJOR}.dll"
+        "${QT_BINARY_DIR}/mingwm10.dll"
+        "${QT_BINARY_DIR}/libgcc_s_dw2-1.dll"
+        "${CMAKE_BINARY_DIR}/src/libqttvdb.dll"
+        DESTINATION bin
+  )
+  set(CPACK_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}-win32")
+  set(CPACK_SOURCE_PACKAGE_FILE_NAME "serieswatcher")
+  set(CPACK_PACKAGE_EXECUTABLES "serieswatcher;Series Watcher")
   set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/res/serieswatcher.ico")
   set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/res/serieswatcher.ico")
-  set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/res/package.bmp")
   set(CPACK_BINARY_NSIS "ON")
+  set(CPACK_NSIS_MODIFY_PATH "OFF")
   set(CPACK_BINARY_CYGWIN "OFF")
   set(CPACK_SOURCE_CYGWIN "OFF")
-  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Series Watcher")
+  set(CPACK_NSIS_DISPLAY_NAME "Series Watcher")
   set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/serieswatcher.html")
   set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/serieswatcher.html")
   set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
-  set(CPACK_NSIS_MODIFY_PATH ON)
+  set(CPACK_PACKAGE_INSTALL_DIRECTORY "serieswatcher")
 else(WIN32)
   set(CPACK_GENERATOR "DEB")
   set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")

=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.1-1) unstable; urgency=low

  * Better maemo integration
  * Built with Qt 4.7
  * New About dialog

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 15 Oct 2010 16:02:59 +0200

## serieswatcher 0.1.2-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(VERSION_MAJOR "0")
 set(VERSION_MINOR "1")
-set(VERSION_PATCH "1")
+set(VERSION_PATCH "2")
 
 if(CMAKE_SYSTEM_NAME MATCHES Linux)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)

=== qttvdb/CMakeLists.txt ===
--- 
+++ 
@@ -53,7 +53,7 @@
 
 
 set(QTTVDB_LIB_MAJOR_VERSION "0")
-set(QTTVDB_LIB_MINOR_VERSION "1")
+set(QTTVDB_LIB_MINOR_VERSION "2")
 set(QTTVDB_LIB_PATCH_VERSION "0")
 
 set(QTTVDB_LIB_VERSION_STRING "${QTTVDB_LIB_MAJOR_VERSION}.${QTTVDB_LIB_MINOR_VERSION}.${QTTVDB_LIB_PATCH_VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,8 @@
   showdialog.cpp
   bannerloader.cpp
   tvdbmodel.cpp
-  tvdbitem.cpp)
+  tvdbitem.cpp
+  aboutdialog.cpp)
 
 SET(serieswatcher_UIS
   mainwindow.ui
@@ -53,7 +54,10 @@
   settingsdialog.ui
   actiondialog.ui
   episodedialog.ui
-  showdialog.ui)
+  episodedialogscroll.ui
+  showdialog.ui
+  showdialogscroll.ui
+  aboutdialog.ui)
 
 SET(serieswatcher_MOC_HDRS
   mainwindow.h
@@ -75,7 +79,8 @@
   episodedialog.h
   showdialog.h
   bannerloader.h
-  tvdbmodel.h)
+  tvdbmodel.h
+  aboutdialog.h)
 
 SET(serieswatcher_RCS serieswatcher.qrc)
 
@@ -87,8 +92,17 @@
 QT4_WRAP_UI(UI_HDRS ${serieswatcher_UIS})
 QT4_ADD_RESOURCES(RC_SRCS ${serieswatcher_RCS})
 
+if (WIN32)
+ set(GUI_TYPE WIN32)
+ add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
+                     COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/serieswatcher.rc
+                     -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
+ set(serieswatcher_SRCS ${serieswatcher_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
+endif ()
+
 ADD_EXECUTABLE(
 	serieswatcher
+	${GUI_TYPE}
 	${serieswatcher_SRCS}
 	${UI_HDRS}
 	${MOC_SOURCE}

=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.2-1) unstable; urgency=low

  * Fix settings

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 26 Oct 2010 19:02:59 +0200

=== pkg/maemo5/debian/control ===
--- 
+++ 
@@ -9,20 +9,19 @@
 Package: serieswatcher
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-XB-Description-fr_FR: SeriesWatcher permet de surveiller
- les séries que vous regardez. Vous pourrez être prévenus
- des nouveaux épisodes, les marquer comme vus, etc...
- SeriesWatcher permet aussi de rajouter des liens dynamiques
+XB-Description-fr_FR: SeriesWatcher permet de surveiller vos séries télé.
+ Vous pourrez être prévenus des nouveaux épisodes,
+ les marquer comme vus, etc...
+ Series Watcher permet aussi de rajouter des liens dynamiques
  vers d'autres services afin de pouvoir rapidement trouver
  les DVDs ou sous-titres correspondant à un épisode ou à
  une saison. L'application utilise l'API fournie par
  thetvdb.com.
-XB-Maemo-Display-Name: Serieswatcher
-Description: SeriesWatcher can help you keep track of the
- TV shows you're watching. It let you mark watched episode
- and allow to add dynamic links to other services (to buy
- DVDs, download subtitles, etc...). Data comes from
- thetvdb.com XML API.
+XB-Maemo-Display-Name: Series Watcher
+Description: Series Watcher can help you keep track of the TV shows you're watching.
+ It let you mark watched episode and allow to add dynamic
+ links to other services (to buy DVDs, download subtitles, etc...).
+ Data comes from thetvdb.com XML API.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAA3XQAAN10BGYBGXQAAAAd0

## serieswatcher 0.1.3-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(VERSION_MAJOR "0")
 set(VERSION_MINOR "1")
-set(VERSION_PATCH "2")
+set(VERSION_PATCH "3")
 
 if(CMAKE_SYSTEM_NAME MATCHES Linux)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
@@ -17,6 +17,8 @@
 find_package(QtTvDB REQUIRED)
 find_package(Quazip)
 find_package(LibZip)
+
+include(serieswatcher)
 
 set(HAVE_QUAZIP ${QUAZIP_FOUND})
 set(HAVE_LIBZIP ${LIBZIP_FOUND})
@@ -66,9 +68,11 @@
 
 set (SERIES_WATCHER_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
-CHECK_SYMBOL_EXISTS(Q_WS_MAEMO_5 "QtCore/qglobal.h" Q_WS_MAEMO_5)
+check_symbol_exists(Q_WS_MAEMO_5 "QtCore/qglobal.h" Q_WS_MAEMO_5)
 
-add_subdirectory(src)
+add_subdirectory(common)
+add_subdirectory(ui)
+add_subdirectory(res)
 add_subdirectory(pkg)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)
@@ -89,6 +93,7 @@
 set(CPACK_SOURCE_IGNORE_FILES
   "~$"
   "^${PROJECT_SOURCE_DIR}/\\\\.git"
+  "^${PROJECT_SOURCE_DIR}/qttvdb/\\\\.git"
   "^${PROJECT_SOURCE_DIR}/build/")
 set(CPACK_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "serieswatcher-${CPACK_VERSION}")

=== res/CMakeLists.txt ===
project(resources)

include( ${QT_USE_FILE} )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${serieswatcher_BINARY_DIR}
)

set(resources_RCS serieswatcher.qrc)

if(WITH_BUILTIN_ICONS)
  set(resources_RCS ${resources_RCS} icons/icons.qrc)
endif()

qt4_add_resources(RC_SRCS ${resources_RCS})

if (WIN32)
 add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
                     COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/serieswatcher.rc
                     -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
 set(resources_SRCS ${resources_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
endif ()

add_convenience_library(resources ${RC_SRCS})

target_link_libraries(resources
  ${QT_LIBRARIES}
)

=== ui/CMakeLists.txt ===
# Use it
set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSQL TRUE)

include( ${QT_USE_FILE} )

# Include the library include directories, and the current build directory (moc)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${serieswatcher_BINARY_DIR}
  ${resources_BINARY_DIR}
  ${common_SOURCE_DIR}
  ${common_BINARY_DIR}
  ${QTTVDB_INCLUDE_DIR}
)

link_directories(
  ${QTTVDB_LIBRARY_DIRS}
)

set(serieswatcher_SRCS
  main.cpp
  mainwindow.cpp
  listwindow.cpp
  searchdialog.cpp
  searchlistview.cpp
  updateprogressdialog.cpp
  showdelegate.cpp
  settingsdialog.cpp
  actiondialog.cpp
  mainlistview.cpp
  maintreeview.cpp
  seriesmenus.cpp
  episodedialog.cpp
  showdialog.cpp
  aboutdialog.cpp)

set(serieswatcher_UIS
  mainwindow.ui
  listwindow.ui
  searchdialog.ui
  updateprogressdialog.ui
  settingsdialog.ui
  actiondialog.ui
  episodedialog.ui
  episodedialogscroll.ui
  showdialog.ui
  showdialogscroll.ui
  aboutdialog.ui)

SET(serieswatcher_MOC_HDRS
  mainwindow.h
  listwindow.h
  searchdialog.h
  searchlistview.h
  updateprogressdialog.h
  showdelegate.h
  settingsdialog.h
  actiondialog.h
  mainlistview.h
  maintreeview.h
  seriesmenus.h
  episodedialog.h
  showdialog.h
  aboutdialog.h)

qt4_wrap_cpp(MOC_SOURCE ${serieswatcher_MOC_HDRS})
qt4_wrap_ui(UI_HDRS ${serieswatcher_UIS})

if (WIN32)
 set(GUI_TYPE WIN32)
endif ()

add_executable(
  serieswatcher
  ${GUI_TYPE}
  ${serieswatcher_SRCS}
  ${UI_HDRS}
  ${MOC_SOURCE}
)

if (Q_WS_MAEMO_5)
  target_link_libraries(serieswatcher QtMaemo5)
endif()

target_link_libraries(
  serieswatcher
  resources
  common
  ${QT_LIBRARIES}
  ${QTTVDB_LIBRARIES}
  ${ZIP_LIBRARIES}
)

install(TARGETS serieswatcher
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
)

=== pkg/maemo5/debian/changelog ===
serieswatcher (0.1.3-1) unstable; urgency=low

  * Fix show deletion
  * Fix TheTvDB issues with redirections
  * New Logo

 -- Corentin Chary <corentincj@iksaif.net>  Thu, 18 Apr 2011 19:02:59 +0200
